VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
ProcessSetup Struct Reference

Audio processing setup. More...

`#include <ivstaudioprocessor.h>`

## Public Attributes
int32 | processMode
| ProcessModes
int32 | symbolicSampleSize
| SymbolicSampleSizes
int32 | maxSamplesPerBlock
| maximum number of samples per audio block
SampleRate | sampleRate
| sample rate

## Detailed Description

Audio processing setup.

See Also
  IAudioProcessor::setupProcessing

## Member Data Documentation

int32 processMode

ProcessModes

int32 symbolicSampleSize

SymbolicSampleSizes

int32 maxSamplesPerBlock

maximum number of samples per audio block

SampleRate sampleRate

sample rate

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.